package com.fs.qw.service.impl;

import com.fs.common.utils.DateUtils;
import com.fs.qw.domain.QwAppContactWayLogs;
import com.fs.qw.mapper.QwAppContactWayLogsMapper;
import com.fs.qw.param.QwAppContactWayLogsParam;
import com.fs.qw.service.IQwAppContactWayLogsService;
import com.fs.qw.vo.QwAppContactWayLogsListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 联系我日志Service业务层处理
 *
 * @author fs
 * @date 2024-12-11
 */
@Service
public class QwAppContactWayLogsServiceImpl implements IQwAppContactWayLogsService
{
    @Autowired
    private QwAppContactWayLogsMapper qwAppContactWayLogsMapper;

    /**
     * 查询联系我日志
     *
     * @param id 联系我日志主键
     * @return 联系我日志
     */
    @Override
    public QwAppContactWayLogs selectQwAppContactWayLogsById(Long id)
    {
        return qwAppContactWayLogsMapper.selectQwAppContactWayLogsById(id);
    }

    /**
     * 查询联系我日志列表
     *
     * @param qwAppContactWayLogs 联系我日志
     * @return 联系我日志
     */
    @Override
    public List<QwAppContactWayLogs> selectQwAppContactWayLogsList(QwAppContactWayLogs qwAppContactWayLogs)
    {
        return qwAppContactWayLogsMapper.selectQwAppContactWayLogsList(qwAppContactWayLogs);
    }

    /**
     * 新增联系我日志
     *
     * @param qwAppContactWayLogs 联系我日志
     * @return 结果
     */
    @Override
    public int insertQwAppContactWayLogs(QwAppContactWayLogs qwAppContactWayLogs)
    {
        qwAppContactWayLogs.setCreateTime(DateUtils.getNowDate());
        return qwAppContactWayLogsMapper.insertQwAppContactWayLogs(qwAppContactWayLogs);
    }

    /**
     * 修改联系我日志
     *
     * @param qwAppContactWayLogs 联系我日志
     * @return 结果
     */
    @Override
    public int updateQwAppContactWayLogs(QwAppContactWayLogs qwAppContactWayLogs)
    {
        return qwAppContactWayLogsMapper.updateQwAppContactWayLogs(qwAppContactWayLogs);
    }

    /**
     * 批量删除联系我日志
     *
     * @param ids 需要删除的联系我日志主键
     * @return 结果
     */
    @Override
    public int deleteQwAppContactWayLogsByIds(Long[] ids)
    {
        return qwAppContactWayLogsMapper.deleteQwAppContactWayLogsByIds(ids);
    }

    /**
     * 删除联系我日志信息
     *
     * @param id 联系我日志主键
     * @return 结果
     */
    @Override
    public int deleteQwAppContactWayLogsById(Long id)
    {
        return qwAppContactWayLogsMapper.deleteQwAppContactWayLogsById(id);
    }

    @Override
    public List<QwAppContactWayLogsListVO> selectQwAppContactWayLogsListVO(QwAppContactWayLogsParam qwAppContactWayLogs) {
        return qwAppContactWayLogsMapper.selectQwAppContactWayLogsListVO(qwAppContactWayLogs);
    }
}
